imports:
    - { resource: "EXT:rte_ckeditor/Configuration/RTE/Processing.yaml" }
    - { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Base.yaml" }
    - { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Plugins.yaml" }

editor:
    config:
        contentsCss: "EXT:umj_sitepackage/Resources/Public/Css/rte.css"

        stylesSet:
            - { name: "22px", element: "span", attributes: { class: "size-22" } }
            - { name: "28px", element: "span", attributes: { class: "size-28" } }
            - { name: "32px", element: "span", attributes: { class: "size-32" } }
        format_tags: "p"

        toolbarGroups:
            - { name: styles, groups: [ styles ] }
            - { name: basicstyles, groups: [ basicstyles ] }
            - { name: paragraph, groups: [ list ] }
            - "/"
            - { name: links, groups: [ links ] }
            - { name: clipboard, groups: [ clipboard, undo ] }
            - { name: tools, groups: [ specialchar ] }
            - { name: document, groups: [ mode ] }
            - { name: specialcharacters,   groups: [ insertcharacters ] }

        justifyClasses:
            - text-left
            - text-center
            - text-right
            - text-justify

        extraPlugins:
            - justify

        removePlugins:
            - image

        removeButtons:
            - Anchor
            - Underline
            - Strike
            - Maximize

        basicEntities: false
        forcePasteAsPlainText: true